import { VisitType } from "../enum/visit.type";
import { DishSectionDto } from "./dish.section.dto";
export declare class DishDto {
    id: string;
    active: boolean;
    imgUrl: string;
    name: {
        en: string;
        ru: string;
        ua: string;
    };
    desc: {
        en?: string;
        ru?: string;
        ua?: string;
    };
    posId: string;
    allowForVisitType: VisitType[];
    priceInPlace: number;
    pricePreOrder: number;
    priceTakeAway: number;
    priceDelivery: number;
    weight: string;
    calories: string;
    cookTime: number;
    searchTags: string;
    dishSections: DishSectionDto[];
    selected?: boolean;
}
