import { DishSectionItemDto } from "./dish.section.item.dto";
import { SectionSelectType } from "../enum/section.select.type";

export class DishSectionDto {
  public id: string = '';
  public name: { en: string, ru: string, ua: string } = {en: '', ru: '', ua: ''};
  public mandatorySelect: boolean = false;
  public sectionSelect: SectionSelectType = SectionSelectType.OR;
  public sectionItems: DishSectionItemDto[] = [];
  public order: number = 0;
  public removed: boolean = false;
}
